#include "udf.h"	

DEFINE_PROFILE (alfa_g, thread, index)
{
	real x[ND_ND]; 
	real s;
	face_t f;

	begin_f_loop(f, thread)
	{
		F_CENTROID(x,f,thread);
		s = sqrt(x[0]*x[0]+ x[1]*x[1])/0.03;
		F_PROFILE(f, thread, index) = 6.25 * s*s - 87.5* s +600;
	}
	end_f_loop(f, thread);
}

DEFINE_PROFILE (alfa_d, thread, index)
{
	real x[ND_ND]; 
	real s;
	face_t f;

	begin_f_loop(f, thread)
	{
		F_CENTROID(x,f,thread);
		s = sqrt(x[0]*x[0]+ x[1]*x[1])/0.03;
		F_PROFILE(f, thread, index) = 4.1666*s*s - 70.83333*s +600;
	}
	end_f_loop(f, thread);
}

DEFINE_PROFILE (T_ot, thread, index)
{
	real x[ND_ND]; 
	real s;
	face_t f;

	begin_f_loop(f, thread)
	{
		F_CENTROID(x,f,thread);
		s = sqrt(x[0]*x[0]+ x[1]*x[1])/0.03;
		F_PROFILE(f, thread, index) = 1250 - 15*s;
	}
	end_f_loop(f, thread);
}


DEFINE_PROPERTY(k_T, cell, thread)
{
	// funkcja C_T(cell, thread) zwraca warto temperatury w komrce cell
	return 7.4+1.1*C_T(cell,thread)* 1e-3; //poda warto zwracan
}

